POST api/Order/EditOrderIn
Request Information
URI Parameters
None.
Body Parameters
order_in| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| dept_id | integer |
None. |
|
| order_no | string |
None. |
|
| owner_id | integer |
None. |
|
| quantity | integer |
None. |
|
| position | string |
None. |
|
| workdesc | string |
None. |
|
| remark | string |
None. |
|
| addtime | date |
None. |
|
| operator_id | integer |
None. |
|
| weight | decimal number |
None. |
|
| zxdw_id | string |
None. |
|
| zxdw_name | string |
None. |
|
| zxdw_driver_id | string |
None. |
|
| zxdw_driver_name | string |
None. |
|
| zydw_id | integer |
None. |
|
| zydw_name | string |
None. |
|
| zydw_driver_name | string |
None. |
|
| zydw_car_no | string |
None. |
|
| zydw_train_no | string |
None. |
|
| pbdb_num | integer |
None. |
|
| details | string |
None. |
|
| money_operator_id | integer |
None. |
|
| fee_rule | string |
None. |
|
| fee_amount | decimal number |
None. |
|
| status | integer |
None. |
|
| fee_time | date |
None. |
|
| pay_operator_id | integer |
None. |
|
| pay_rule | string |
None. |
|
| pay_time | date |
None. |
|
| pay_amount | decimal number |
None. |
|
| pay_status | integer |
None. |
|
| deptname | string |
None. |
|
| operatorname | string |
None. |
|
| moneyoperatorname | string |
None. |
|
| payoperatorname | string |
None. |
|
| customername | string |
None. |
|
| fee_type | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"dept_id": 2,
"order_no": "sample string 3",
"owner_id": 4,
"quantity": 5,
"position": "sample string 6",
"workdesc": "sample string 7",
"remark": "sample string 8",
"addtime": "2026-03-26T14:25:39.8475705+08:00",
"operator_id": 10,
"weight": 11.1,
"zxdw_id": "sample string 12",
"zxdw_name": "sample string 13",
"zxdw_driver_id": "sample string 14",
"zxdw_driver_name": "sample string 15",
"zydw_id": 16,
"zydw_name": "sample string 17",
"zydw_driver_name": "sample string 18",
"zydw_car_no": "sample string 19",
"zydw_train_no": "sample string 20",
"pbdb_num": 21,
"details": "sample string 22",
"money_operator_id": 1,
"fee_rule": "sample string 23",
"fee_amount": 24.1,
"status": 25,
"fee_time": "2026-03-26T14:25:39.8475705+08:00",
"pay_operator_id": 1,
"pay_rule": "sample string 26",
"pay_time": "2026-03-26T14:25:39.8475705+08:00",
"pay_amount": 27.1,
"pay_status": 28,
"deptname": "sample string 29",
"operatorname": "sample string 30",
"moneyoperatorname": "sample string 31",
"payoperatorname": "sample string 32",
"customername": "sample string 33",
"fee_type": "sample string 34"
}
multipart/form-data
Sample:
<order_in xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Model"><addtime>2026-03-26T14:25:39.8475705+08:00</addtime><customername>sample string 33</customername><dept_id>2</dept_id><deptname>sample string 29</deptname><details>sample string 22</details><fee_amount>24.1</fee_amount><fee_rule>sample string 23</fee_rule><fee_time>2026-03-26T14:25:39.8475705+08:00</fee_time><fee_type>sample string 34</fee_type><id>1</id><money_operator_id>1</money_operator_id><moneyoperatorname>sample string 31</moneyoperatorname><operator_id>10</operator_id><operatorname>sample string 30</operatorname><order_no>sample string 3</order_no><owner_id>4</owner_id><pay_amount>27.1</pay_amount><pay_operator_id>1</pay_operator_id><pay_rule>sample string 26</pay_rule><pay_status>28</pay_status><pay_time>2026-03-26T14:25:39.8475705+08:00</pay_time><payoperatorname>sample string 32</payoperatorname><pbdb_num>21</pbdb_num><position>sample string 6</position><quantity>5</quantity><remark>sample string 8</remark><status>25</status><weight>11.1</weight><workdesc>sample string 7</workdesc><zxdw_driver_id>sample string 14</zxdw_driver_id><zxdw_driver_name>sample string 15</zxdw_driver_name><zxdw_id>sample string 12</zxdw_id><zxdw_name>sample string 13</zxdw_name><zydw_car_no>sample string 19</zydw_car_no><zydw_driver_name>sample string 18</zydw_driver_name><zydw_id>16</zydw_id><zydw_name>sample string 17</zydw_name><zydw_train_no>sample string 20</zydw_train_no></order_in>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServerResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField></ServerResponse>